Instalando o Certificado Digital em equipamentos Linux

Atualizado 1 month ago por Matheus

Linux logomarca

O seu certificado digital funciona em qualquer sistema operacional. A diferença é que existem softwares proprietários para o gerenciamento do seu certificado.

Os cartões e tokens VALID são gerenciados pelo programa SafeSign.

Para o correto funcionamento do seu cartão, leitora ou token VALID no sistema operacional Linux é necessário instalar os pacotes e softwares listados a seguir.

O aplicativo só funcionara em sistemas operacionais baseados no
Linux Mint 19.1 e Ubuntu 18.4

O programa SafeSign Identity Client (versão 3.5.2) possui pacote de instalação para a versão x64 bits do Ubuntu 18.4 e Mint 19.1 do sistema operacional Linux.

Antes de iniciar a instalação atualize seu Linux com todos os pacotes recomendados, por meio do seu gerenciador de aplicativos. Não esqueça de executar a instalação utilizando o usuário root.

Clique aqui para baixar o instalador do Safesign.

Verificação dos pacotes de drives

Verifique se os pacotes de drivers da tabela abaixo estão presentes no sistema operacional.

É importante que todas as bibliotecas estejam na versão específica.

  • libgdbm3_1.8.3-14
  • libjpeg62-turbo_1.5.2-2+b1
  • libpng12-0_1.2.50-2+deb8u3
  • libwxbase2.8-0_2.8.12.1+dfsg2-dmo4
  • libwxgtk2.8-0_2.8.12.1+dfsg2-dmo4
  • pcscd e libccid

Instale os pacotes que faltam.

Caso os pacotes listados não estejam instalados, faça o download utilizando a tabela abaixo:

A instalação dos pacotes de drivers deve seguir a ordem da tabela abaixo

Nome

Download

libgdbm3_1.8.3-14

libjpeg62-turbo_1.5.2-2+b1

libpng12-0_1.2.50-2+deb8u3

libwxbase2.8-0_2.8.12.1+dfsg2-dmo4

libwxgtk2.8-0_2.8.12.1+dfsg2-dmo4

Realizando a Instalação:

Para instalar as bibliotecas "pcscd" e "libccid", no terminal digite:

sudo apt-get install pcscd libccid

Em seguida, inicie a instalação do SafeSign utilizando, ainda no terminal o comando:

dpkg -i

Antes de utilizar o SafeSign reinicie o computador.

Conecte a leitora instalada e depois o cartão ou token VALID.

Em seguida execute o programa, instalado por meio do atalho TokenAdmin.

Instalando no módulo de segurança no Firefox

Para isso abra o SafeSign e localize o menu Integração e escolha a opção Instalar o SafeSign no Firefox.

Pronto, o programa está disponível para uso.

Downloads

Download necessário

Safesign 3.5.2

Safesign para equipamentos Linux

Manual de instalação

Manual de instalação Linux


Como podemos ajudar?